Bug 17417 - Недостающие зависимости
: Недостающие зависимости
Status: CLOSED FIXED
: Branch 4.1
(All bugs in Branch 4.1/blueman)
: unspecified
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-10-02 19:08 by
Modified: 2009-07-25 01:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-10-02 19:08:13
evg@nout ~ $ apt-get install blueman 
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  libnotify python-module-dbus python-module-notify python-module-pycairo
python-module-pygobject
  python-module-pygtk
The following NEW packages will be installed:
  blueman libnotify python-module-dbus python-module-notify
python-module-pycairo python-module-pygobject
  python-module-pygtk
0 upgraded, 7 newly installed, 0 removed and 43 not upgraded.
Need to get 1184kB/1421kB of archives.
After unpacking 4929kB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://mirror.yandex.ru i586/classic python-module-notify 0.1.1-alt3.1
[12.2kB]
Get:2 http://mirror.yandex.ru i586/classic python-module-pycairo 1.4.0-alt1.1
[27.6kB]
Get:3 http://mirror.yandex.ru i586/classic python-module-pygtk 2.12.1-alt1
[754kB]
Get:4 http://mirror.yandex.ru i586/classic blueman 0.3-alt3 [390kB]             
Fetched 1184kB in 32s (36.9kB/s)                                                
Committing changes...
Preparing...                
############################################################################
[100%]
1: python-module-pygobject  
############################################################################ [
14%]
2: python-module-dbus       
############################################################################ [
28%]
3: libnotify                
############################################################################ [
42%]
4: python-module-notify     
############################################################################ [
57%]
5: python-module-pycairo    
############################################################################ [
71%]
6: python-module-pygtk      
############################################################################ [
85%]
7: blueman                  
############################################################################
[100%]
Done.
evg@nout ~ $ blueman 
Traceback (most recent call last):
  File "/usr/bin/blueman", line 27, in <module>
    import gtk.glade
ImportError: No module named glade

Нехватает зависимости от python-module-pygtk-libglade.
------- Comment #1 From 2008-10-02 19:25:35 -------
А ещё не хватает зависимости на pybluez...
------- Comment #2 From 2008-10-21 12:30:36 -------
blueman-0.3-alt3.M41.1.src.rpm

но послед добавления зависимостей на:
python-module-pygtk-libglade python-module-pybluez

вылетает с ошибкой:
$ blueman 
* Initializing 'Bluetooth.manager' Class
Traceback (most recent call last):
  File "/usr/bin/blueman", line 128, in <module>
    Globals.Manager = manager()
  File "/usr/lib/python2.5/site-packages/blueman/Bluetooth/manager.py", line
33, in __init__
    self.obj = self.bus.get_object('org.bluez', '/org/bluez')
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 241, in
__init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 183, in
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 281, in
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 607, in
call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The
name org.bluez was not provided by any .service files
------- Comment #3 From 2009-07-25 01:48:03 -------
В 4.1, боюсь, это теперь уже WONTFIX. blueman ушёл очень далеко вперёд, а та
версия, которая лежит в 4.1, полурабочая. В 5.0 и Сизифе с blueman и его
зависимостями всё нормально.